Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-71642

PostgreSQL 11 is not supported

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Done
    • Affects Version/s: 5.9.7, 5.12.0 Beta 3
    • Fix Version/s: 5.12.1, 5.12.2
    • Component/s: SQL Support
    • Labels:
      None
    • Commits:
      3a74a3b5a644ac196942c717d31cd5f8438f3c0b (qt/qtbase/5.12)

      Description

      Qt 5.12 is getting ready, but there's still no support for PostgreSQL 11:

      https://code.qt.io/cgit/qt/qtbase.git/tree/src/plugins/sqldrivers/psql/qsql_psql.cpp?h=5.12.0#n1064

      So connections will produce (at least) warnings.

      PostgreSQL 11 was released on 2018-10-18 (https://www.postgresql.org/about/news/1894/)

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            mabrand Mark Brand
            Reporter:
            talkless Vincas Dargis
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes